import fetch from "node-fetch";
import fs from "fs";

/*
    Frage die JSON-Daten vom REST-Service (https://cat-fact.herokuapp.com/facts) mittels fetch() (gibt ein Promise mit der Response zurück)
    ab und schreibe den "text" jedes Datensatzes in eine einzelne Text-Datei.

    Die Response kann mittels res.json() zu einem Objekt geparst werden (gibt ebenfalls ein Promise mit den Daten zurück)

    Als Name soll die "_id" mit der Endung ".txt" verwendet werden.
*/

async function writeFile(path, content) {
    // noch promisifizieren
    fs.writeFile(path, content, {encoding: "utf8"}, (error) => {

    });
}

// weiter implementieren
fetch();
